<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:e="http://software.in2p3.fr/lavoisier/entries.xsd">
<xsl:output method="html" encoding="utf-8" indent="yes"/>

    <xsl:template match="/">
        <html>
            <xsl:copy-of select="document('/lavoisier/head')"/>
            <body data-spy="scroll" data-target=".subnav" data-offset="50">
                <xsl:copy-of select="document('/lavoisier/navbar')"/>
                <script type="text/vnd.graphviz" id="dot">
                    <xsl:value-of select="/e:entries/e:entry/text()"/>
                </script>
                <script src="/resource/rsc/viz.js"></script>
                <script><![CDATA[
function printStackTrace(s) {
    return "<pre>" + s.replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/\"/g, "&quot;") + "</pre>"
}
function toSVG() {
    try {
        return Viz(document.getElementById("dot").innerHTML, "svg");
    } catch(e) {
        return printStackTrace(e.toString());
    }
}
document.body.innerHTML += toSVG();
             ]]></script>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>