<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="text"/>

    <xsl:template match="/result">
digraph SQLSchema {
        graph [rankdir="LR"];
        node [shape=record];
        edge [arrowsize=1];

        <xsl:text/>
        <xsl:for-each select="table">
            <xsl:value-of select="@key"/> [label="<xsl:value-of select="@key"/>|<xsl:text/>
            <xsl:for-each select="row"><xsl:value-of select="@COLUMN_NAME"/>\n</xsl:for-each>"];
            <xsl:for-each select="row[@REF_TABLE]">
                <xsl:value-of select="parent::table/@key"/> -> <xsl:value-of select="@REF_TABLE"/>;
            </xsl:for-each>
        </xsl:for-each>
}
    </xsl:template>
</xsl:stylesheet>