<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:e="http://software.in2p3.fr/lavoisier/entries.xsd">
    <xsl:output method="xml"/>

    <xsl:variable name="parameters" select="document('parameters')"/>

    <xsl:template match="/xsl:stylesheet/xsl:param/text()">
        <xsl:value-of select="$parameters/e:entries/e:entry[@key=current()/parent::xsl:param/@name]/text()"/>
    </xsl:template>

    <xsl:template match="*">
        <xsl:copy><xsl:copy-of select="@*"/>
            <xsl:apply-templates/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>